Subject: Re: [PATCH net-next 0/6] bonding: only rely on arp packets if arp monitor is used

From: Veaceslav Falico <[email-masked]>
Date: Fri, 17 Jan 2014 18:07:56 +0100

On Fri, Jan 17, 2014 at 07:57:18AM +0100, Veaceslav Falico wrote:
...snip...
>What do you think about this*? It's on top of this series, extends
>arp_validate to (not) filter out ARPs on not-validated slaves and permits
>it to be used in non-AB mode (also, we don't need that bond->lock, we're
>always under RCU).

Hi Jay,

In the meanwhile I've integrated this approach (adding new arp_validate
options) and sent v2.

The new version, when used with arp_validate=0/1/2/3 (old values) behaves
exactly the same, while adding 3 new options - only unvalidated ARPs,
validated ARPs on active and unvalidated ARPs on slave and vice versa
(there's no analogue for ALL_ARP cause it doesn't make much sense - as the
validated ARPs for both slaves are already ARPs :) ).

Hope that helps, and sorry that I didn't do my homework in the first time.

Thank you!